# MatCreateLRC

Creates a new matrix object that behaves like A + U*V'

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatCreateLRC(Mat A,Mat U, Mat V,Mat *N)

Collective on Mat

### Input Parameter

| A | - the (sparse) matrix
| U. V | - two dense rectangular (tall and skinny) matrices

### Output Parameter

N -the matrix that represents A + U*V'

Notes: The matrix A + U*V' formed! Rather the new matrix object performs the matrix-vector product by first multiplying by A and then adding the other term

Level:intermediate
Location: src/mat/impls/lrc/lrc.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages